# Google Cloud DNS API . projects

## Instance Methods

Fetch the representation of an existing Project.

### Method Details

`get(project, clientOperationId=None)`

    Fetch the representation of an existing Project.

    Args:
      project: string, Identifies the project addressed by this request. (required)
      clientOperationId: string, For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.

    Returns:
      An object of the form:

        { # A project resource. The project is a top level container for resources including Cloud DNS ManagedZones. Projects can be created only in the APIs console.
        "quota": { # Limits associated with a Project. # Quotas assigned to this project (output only).
          "kind": "dns#quota", # Identifies what kind of resource this is. Value: the fixed string "dns#quota".
          "rrsetAdditionsPerChange": 42, # Maximum allowed number of ResourceRecordSets to add per ChangesCreateRequest.
          "totalRrdataSizePerChange": 42, # Maximum allowed size for total rrdata in one ChangesCreateRequest in bytes.
          "resourceRecordsPerRrset": 42, # Maximum allowed number of ResourceRecords per ResourceRecordSet.
          "dnsKeysPerManagedZone": 42, # Maximum allowed number of DnsKeys per ManagedZone.
          "rrsetsPerManagedZone": 42, # Maximum allowed number of ResourceRecordSets per zone in the project.
          "whitelistedKeySpecs": [ # DNSSEC algorithm and key length types that can be used for DnsKeys.
            { # Parameters for DnsKey key generation. Used for generating initial keys for a new ManagedZone and as default when adding a new DnsKey.
              "keyType": "A String", # One of "KEY_SIGNING" or "ZONE_SIGNING". Keys of type KEY_SIGNING have the Secure Entry Point flag set and, when active, will be used to sign only resource record sets of type DNSKEY. Otherwise, the Secure Entry Point flag will be cleared and this key will be used to sign only resource record sets of other types.
              "keyLength": 42, # Length of the keys in bits.
              "kind": "dns#dnsKeySpec", # Identifies what kind of resource this is. Value: the fixed string "dns#dnsKeySpec".
              "algorithm": "A String", # String mnemonic specifying the DNSSEC algorithm of this key.
            },
          ],
          "rrsetDeletionsPerChange": 42, # Maximum allowed number of ResourceRecordSets to delete per ChangesCreateRequest.
          "managedZones": 42, # Maximum allowed number of managed zones in the project.
        },
        "kind": "dns#project", # Identifies what kind of resource this is. Value: the fixed string "dns#project".
        "id": "A String", # User assigned unique identifier for the resource (output only).
        "number": "A String", # Unique numeric identifier for the resource; defined by the server (output only).
      }